{ImportOrig}(1)

NAME
{ImportOrig} - Import upstream source code tarballs into .deb package Mercurial repository.

SYNOPSIS
{ImportOrig} [option] ... tarball [tarball] ...

DESCRIPTION
Import upstream source tarballs into a Mercurial repository. The first tarball must be the main tarball, see dpkg-source(1). The upstream sources are incorporated into the upstream branch, and merged into the default branch. It is possible to use {ImportOrig} multiple times to import several versions, but the versions must be imported sequentially starting with the earliest version. For dpkg-source(1) format 3.0 (quilt), all patches are removed before the import, and you must manually reapply and refresh the patches. Finally you must commit the fully patched source, including the .pc directory.

OPTIONS

--version, -V

    Output version and exit.

--verbose, -v

    Increase verbosity level. Can be used several times.

--no-merge, -n

    Do not merge imported upstream source into the default branch. A manual hg merge upstream will then have to be done at a later stage. Remember to unapply all patches before the merge.

EXAMPLES

{ImportOrig} ../mypack_1.2.orig.tar.bz2 ../mypack_1.2.orig-plugin.tar.gz

    Import upstream source from two tarballs into the repository in the current directory, which requires the package to be in dpkg source package format 3.0 (quilt), see dpkg-source(1). After the import, both the upstream and default branch will have the tag mypack_1.2.

AUTHOR
Jens Peter Secher <jpsecher@gmail.com>

THANKS
The ideas for this package originates from John Goerzen's hg-buildpackage.

SEE ALSO
{ImportDsc}(1), {BuildPackage}(1), {TagVersion}(1), {PristineTar}(1), {Port}(1).